FROM maven:3-openjdk-23 AS build

COPY pom.xml /tmp/
COPY src /tmp/src/
COPY Formatter.xml /tmp/
WORKDIR /tmp/
RUN mvn clean compile assembly:single

FROM bellsoft/liberica-openjdk-alpine:latest
ENV LANG=C.UTF-8

# add wget to manage the health check...
RUN apk add --no-cache wget

RUN mkdir /application/
COPY --from=build /tmp/out/maven/*.jar /application/application.jar
WORKDIR /application/

EXPOSE 18080

CMD ["java", "-Xms64M", "-Xmx1G", "-cp", "/application/application.jar", "org.kar.karideo.WebLauncher"]

